Page 2 of 2 FirstFirst 12
Results 21 to 33 of 33
Like Tree18Likes
  1. #21  
    Our stuff is getting scattered and lost among obsolete info.

    As I'm trying to set up my new Pre3, I'm really confused which fixes I need. It seems like the root cert updater and openssl are enough, and I don't need the cert grabber or the cdav anymore. But haven't found a discussion to confirm this yet.

    Should we close threads that are obsolete solutions too?
    Is there no chance of maintaining Preware and pulling everything through the pivotce feed?

    I wish this wasn't so confusing, but I'm glad there's anything available at all to let me config this new phone. very excited to try a Pre3 as daily driver again!
    Sporting my 13th Pre device, a NOS unlocked ROW Pre3!
  2. #22  
    Bare minimum for using gmail account:
    - All devices except 2.1.x: OpenSSL update from Preware Alpha feed or Cert Grabber from Preware (not both)
    - Devices running 2.1.x: Cert Grabber from Preware
    - Google OAuth patch from frantid's thread - note exact version for your device and os version!
    - If you want calendar sync, UberCalendar from frantid's post. Again, make sure you grab the right version for device and OS version.

    The root cert updater from Preware is not needed for gmail sync, but still needed for other sites, including hotmail.
    TJs11thPre and xd1936 like this.
  3. #23  
    Thanks Matt.

    As I'm scrolling through the full list of ipks available in Preware, there's a lot of things that appear to be critical fixes but I guess are obsolete. Lots of sync fixes I guess we don't need anymore

    . I did not realize I needed ubercal. I thought the Oauth patch was enough. Thanks.

    What about the globalsign? Replaced by the root cert updater?
    Sporting my 13th Pre device, a NOS unlocked ROW Pre3!
  4. #24  
    Quote Originally Posted by TJs11thPre View Post
    Thanks Matt.

    As I'm scrolling through the full list of ipks available in Preware, there's a lot of things that appear to be critical fixes but I guess are obsolete. Lots of sync fixes I guess we don't need anymore

    . I did not realize I needed ubercal. I thought the Oauth patch was enough. Thanks.

    What about the globalsign? Replaced by the root cert updater?
    Pretty sure any google-specific sync patch in Preware is obsolete.

    You only need ubercalendar if you want to sync your google calendars, but yes.

    Yes, the globalsign updater only updates one root cert.. The root cert updater updates all* of them and removes expired ones. I should remove it from the app gallery. *my understanding
  5. #25  
    I'll inquire about the state of the Preware patch feeds. (I know we've had some disk hiccups. Herrie might know more.) It might be a good idea to set up a page on the webOS-Internals wiki with information and such. (I think one was set up some time back?) That way there is only one copy and folks don't have to read 40+ pages on some forum posts to find all of the necessary files.
    Did you know:

    webOS ran on a Treo 800 during initial development.
    Grabber5.0 likes this.
  6. xd1936's Avatar
    Posts
    262 Posts
    Global Posts
    360 Global Posts
       #26  
    For the record, this is my new process that works.

    1. Secure factory erased
    2. WebOS Doctored to 3.0.5
    3. Used DeviceTool to skip firstuse
    4. Used WebOS Quick Install to install Jason R's Homebrew Service Framework, frantid's RootCertsUpdate, and Grabber5.0's Certificate Grabber
    5. Opened the Certificate Grabber app and got the latest Google cert
    6. Restarted
    7. Used WebOS Quick Install to install the Google OAuth Calendar Sync Behaviors patch (and the prereqs of gnu patch, lsdiff, etc)
    8. Fully restarted after the automatic Luna install
    9. Went to Accounts and added my Google Account!
    LongLivePalm
  7. xd1936's Avatar
    Posts
    262 Posts
    Global Posts
    360 Global Posts
       #27  
    Quote Originally Posted by xd1936 View Post
    For the record, this is my new process that works.
    It seems that, after a few hours/days of running in exhibition mode, the token no longer gets refreshed. It takes me manually getting the certs again, going into the Accounts preferences, and re-logging into my Gmail account to get it working again.
    LongLivePalm
  8. #28  
    Quote Originally Posted by xd1936 View Post
    It seems that, after a few hours/days of running in exhibition mode, the token no longer gets refreshed. It takes me manually getting the certs again, going into the Accounts preferences, and re-logging into my Gmail account to get it working again.
    You wouldn't have to do that if you installed the OpenSSL update and stopped using Cert Grabber. As I've stated a few times recently, for everything except 2.1.x there is no reason to not use the OpenSSL update. For 2.1.x, you must use Cert Grabber, as the OpenSSL update breaks a lot of SSL functionality.
    MudShark22 and xd1936 like this.
  9. xd1936's Avatar
    Posts
    262 Posts
    Global Posts
    360 Global Posts
       #29  
    Quote Originally Posted by Grabber5.0 View Post
    As I've stated a few times recently, for everything except 2.1.x there is no reason to not use the OpenSSL update.
    Thanks, I had misread your earlier post. Here's my new new process.

    1. WebOS Doctored to 3.0.5
    2. Used DeviceTool to skip firstuse
    3. Used WebOS Quick Install to install Jason R's Homebrew Service Framework, frantid's RootCertsUpdate, and Preware (with Alpha Feed file in place)
    4. Restarted
    5. Opened Preware, enabled the Alpha feed, and installed the OpenSSL-updater package
    6. Restarted
    7. Used WebOS Quick Install to install the Google OAuth Calendar Sync Behaviors patch (and the prereqs of gnu patch, lsdiff, etc)
    8. Fully restarted after the automatic Luna reboot
    9. Went to Accounts and added my Google Account!

    You all rock! I would love to be able to us WOSQI to install the SSL update without installing Preware first... Does anyone know where I can download IPK files that are in the WebOS-Internals Alpha Feeds?
    Last edited by xd1936; 11/14/2016 at 04:55 PM.
    LongLivePalm
  10. #30  
    Follow me on Twitter
    For the latest webOS news check out pivotCE
    xd1936 likes this.
  11. #31  
    Hi,

    My Palm Pre 3, the cert grabber seems to be stuck: I can only get "Unable to get installed certificate list"

    Wat is it looking for, or where? I suspect there are folders it cant see or get access to.

    The "Download" buttom remains unclickable.,
  12. #32  
    As I recall, this is a corrupted database - fixable. Look at the certgrabber thread. I'll add a link if I find it.
    Here: google error: requested encryption not supported by server Read on to Alibamboo's reply (post 904, summary at 906)
    Last edited by Preemptive; 12/08/2016 at 01:02 PM.
    Grabber5.0 likes this.
  13. #33  
    Quote Originally Posted by Preemptive View Post
    As I recall, this is a corrupted database - fixable. Look at the certgrabber thread. I'll add a link if I find it.
    Here: google error: requested encryption not supported by server Read on to Alibamboo's reply (post 904, summary at 906)
    Yep, that's got it working again! I'd been looking for something like that but couldn't find it, thanks!
Page 2 of 2 FirstFirst 12

Similar Threads

  1. Replies: 5
    Last Post: 10/31/2016, 07:44 PM
  2. Logitech Harmony detecting LG webOS 3.0 TV (UH6550)
    By ryanjg11 in forum LG webOS TV
    Replies: 0
    Last Post: 10/27/2016, 07:06 PM
  3. Help me bring a Pre 2 back to life!
    By Preemptive in forum Palm Pre 2
    Replies: 1
    Last Post: 10/23/2016, 01:42 AM
  4. WebOS 3.0 and performance
    By Buddy1969 in forum LG webOS TV
    Replies: 2
    Last Post: 10/22/2016, 12:30 PM

Tags for this Thread

Posting Permissions